%define major 	1
%define libname %mklibname openobex %{major}

Summary: 	Library for using OBEX
Name: 		openobex
Version: 	1.3
Release: 	%mkrel 2
License: 	LGPL
URL:		http://openobex.sourceforge.net/
Group: 		System/Libraries
Source: 	http://prdownloads.sourceforge.net/openobex/openobex-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root

BuildRequires: 	bluez-devel
BuildRequires: 	glib-devel
BuildRequires:	libusb-devel

%description
Open OBEX shared c-library

%package -n %{libname}
Summary: Library for using OBEX
Group: System/Libraries
Provides: lib%{name} = %version-%release
Provides: %{name} = %version-%release
Conflicts: %{_lib}%{name}1.3
Conflicts: %{_lib}%{name}1.2
Conflicts: %{_lib}%{name}1.1

%description -n %{libname}
Open OBEX shared c-library

%package -n %{libname}-devel
Summary: Library for using OBEX
Group: Development/C
Provides: lib%{name}-devel = %version-%release
Provides: %{name}-devel  = %version-%release
Requires: %{libname} = %{version}
Conflicts: %{_lib}%{name}1.3-devel
Conflicts: %{_lib}%{name}1.2-devel
Conflicts: %{_lib}%{name}1.1-devel

%description -n %{libname}-devel
Open OBEX shared c-library

%package apps
Summary: Apps that come with the Open OBEX c-library
Group: Communications

%description apps
These are the apps that come with the Open OBEX c-library. These are
not meant to be more than test-programs to look at if you want to see
how use the library itself.

%package ircp
Summary: Ircp is used to "beam" files or whole directories
Group: Communications
Obsoletes: ircp
Provides: ircp

%description ircp
Ircp is used to "beam" files or whole directories to/from Linux, Windows.

%prep
%setup -q

%build
%configure \
	--enable-apps
%make

%install
rm -rf %{buildroot}
%makeinstall_std
# since our old packages will look for headers in /usr/include
ln -s openobex/obex.h $RPM_BUILD_ROOT/%_includedir/obex.h
ln -s openobex/obex_const.h $RPM_BUILD_ROOT/%_includedir/obex_const.h

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-, root, root)
%doc COPYING
%{_libdir}/libopenobex.so.%{major}*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog README
%{_libdir}/pkgconfig/openobex.pc
%{_datadir}/aclocal/openobex.m4
%{_includedir}/*
%{_libdir}/*a
%{_libdir}/lib*.so

%files apps
%defattr(-, root, root)
%{_bindir}/irobex_palm3
%{_bindir}/irxfer
%{_bindir}/obex_tcp
%{_bindir}/obex_test

%files ircp
%defattr(-, root, root)
%{_bindir}/ircp


%changelog
* Fri Jan 19 2007 Frederic Crozat <fcrozat@mandriva.com> 1.3-2mdv2007.0
+ Revision: 110576
-Fix libification
-Add conflicts to upgrade from previous releases

  + Buchan Milne <bgmilne@mandriva.org>
    - buildrequire libusb-devel

* Tue Oct 31 2006 Stefan van der Eijk <stefan@mandriva.org> 1.3-1mdv2007.1
+ Revision: 74231
- 1.3
- Import openobex



* Sat Sep 02 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2-3
- rebuild for libbluetooth.so.2

* Fri Jun 16 2006 Austin Acton <austin@mandriva.org> 1.2-1mdv2007.0
- Rebuild

* Sun Mar 26 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2-1mdk
- 1.2
- change incorrect major
- add apps & ircp subpackages

* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 1.1-2mdk
- drop obsoletes
- fix provides

* Sat Feb 04 2006 Stefan van der Eijk <stefan@eijk.nu> 1.1-1mdk
- 1.1

* Sat Dec 24 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-5mdk
- %%mkrel

* Mon Oct 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-4mdk
- fix deps

* Fri Apr 30 2004 Austin Acton <austin@mandrake.org> 1.0.1-3mdk
- obsolete libname1 (Arnaud de Lorbeau)

* Mon Apr 5 2004 Austin Acton <austin@mandrake.org> 1.0.1-2mdk
- make sure headers go in their own directory (makeinstall_std)
- fancify spec
- move config utility to devel package
- fix major versioning

* Sun Oct 19 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-1mdk
- 1.0.1
- Bluetooth support
- use the mklibname macro

* Sat Dec 14 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.0-1mdk
- 1.0.0

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.8-1mdk
- initial Mandrake release
- Mandrakized .spec file

* Thu May 18 2000 Pontus Fuchs <pontus.fuchs@tactel.se>
- Initial RPM
